C File name:	SAMPLE.FOR
C Product:	FTP-RT
C Version:	V2.2
C Edit level:	9
C
C Copyright (c) 1987, 1988, 1989, by
C Process Software Corporation
C Framingham, Massachusetts
C
C This software is furnished under a  license  for  use  on  a
C single  computer  system  and  may  be  copied only with the
C inclusion of the above copyright notice.  This  software, or
C any  other  copies thereof, may not be provided or otherwise
C made available to any other person except for  use  on  such
C system  and to one who agrees to these license terms.  Title
C to and ownership of the software shall at all  times  remain
C in Process Software Corporation's name.  
C
C The information  in  this  document  is  subject  to  change
C without  notice  and should not be construed as a commitment
C by   Process   Software   Corporation.    Process   Software
C Corporation  assumes  no  responsibility for any errors that
C may appear in this document.  
C
	PROGRAM SAMPLE
C
C This program demonstates how the FTPLIB routines can be called.
C It can be used to transmit or receive a file from a remote host.
C The program prompts for all of the required information.
C
C
	EXTERNAL  FTPINI,FTPOOC,FTPLIN,FTPSFT,FTPGET,FTPPUT,FTPCCL
	INTEGER*2 FTPINI,FTPOOC,FTPLIN,FTPSFT,FTPGET,FTPPUT,FTPCCL
	EXTERNAL  FTPEND
	INTEGER*2 FTPEND
	EXTERNAL  GETSTR,LEN
	INTEGER*2 GETSTR,LEN

	BYTE LFN(41), RFN(65), UN(17), PW(17), SYS(17)
	INTEGER*2 DEVICE, DTYPE, DIRECT, STATUS, IERR, MODE, CID
	INTEGER*2 DEVTAB(5,2)
	DATA DEVTAB/3RXQ0,3RXU0,3RNQ0,3RNU0,3RNC0,2*0,3*1/
	INTEGER*2 NETCHN, FIOCHN
	DATA NETCHN/2/
	DATA FIOCHN/1/
	INTEGER*2 NETBUF(5120) ! 10Kbytes for internal buffer

1	TYPE *,'FTP-RT library -- Sample Program'

	STATUS = IQSET(12)
	IF (STATUS .EQ. 1) GOTO 999
	TYPE *,'Device (1=XQ0, 2=XU0, 3=NQ0, 4=NU0, 5=NC0) ?'
	ACCEPT *,DEVICE

	DTYPE = DEVTAB(DEVICE,2)
	DEVICE = DEVTAB(DEVICE,1)
	NETBUF(1) = 0
	NETBUF(2) = 5120*2

 	STATUS = FTPINI(DEVICE,DTYPE,NETCHN,NETBUF)
	TYPE *,'FTPINI status is ',STATUS
	IF (STATUS .LT. 0) GOTO 999

10	TYPE *,'System name ?'
	CALL GETSTR(5,SYS,16,IERR)
	STATUS = FTPOOC(CID,SYS,FIOCHN)
 	TYPE *,'FTPOOC status =',STATUS
	IF (STATUS .LT. 0) GOTO 990

	TYPE *,'User name ?'
	CALL GETSTR(5,UN,16,IERR)
	TYPE *,'Password ?'
	CALL GETSTR(5,PW,16,IERR)
	STATUS = FTPLIN(CID,UN,PW)
 	TYPE *,'FTPLIN status =',STATUS
	IF (STATUS .LT. 0) GOTO 990

	TYPE *,'Transfer mode (1 = ASCII, 4 = Image) ?'
	ACCEPT *,MODE
	STATUS = FTPSFT(CID,MODE,0)
 	TYPE *,'FTPSFT status =',STATUS
	IF (STATUS .LT. 0) GOTO 990

	TYPE *,'Operation (0 = Send file, 1 = Receive file) ?'
	ACCEPT *,DIRECT
	TYPE *,'Local file name ?'
	CALL GETSTR(5,LFN,40,IERR)
	TYPE *,'Remote file name ?'
	CALL GETSTR(5,RFN,64,IERR)

	IF (DIRECT .NE. 0) GOTO 110
  	  STATUS = FTPPUT(CID,LFN,RFN)
   	  TYPE *,'FTPPUT status =',STATUS

110	IF (DIRECT .NE. 1) GOTO 990
	  STATUS = FTPGET(CID,LFN,RFN)
   	  TYPE *,'FTPGET status =',STATUS

990	STATUS = FTPCCL(CID)
	TYPE *,'FTPCCL status =',STATUS

999	STATUS = FTPEND()
	TYPE *,'FTPEND status =',STATUS

	END
